%define name xskat 
%define version 4.0
%define release %mkrel 2

Summary: The card game Skat as defined by the official Skat Order
Summary(de): Das Kartenspiel Skat definiert durch die offizielle Skat Regeln
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.gulu.net/xskat/%{name}-%{version}.tar.xz
License: GPL
Group: Games/Cards
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.xskat.de/xskat.html
#BuildRequires: XFree86-devel
BuildRequires: rman gccmakedep
BuildRequires: ImageMagick
BuildRequires: imake
BuildArch: noarch

%description
XSkat lets you play the card game Skat as defined by
the official Skat Order on any Un*x machine running X11.

Features

* Single- and multiplayer mode.
* Playing over LAN or IRC.
* Game lists and logs.
* Three types of scoring.
* English or German text.
* German or French suited cards.
* Different computer strategies.
* Pre-definable card distributions.
* Variations: Ramsch, Bock, Kontra & Re, ... 

#german
%description -l de
Mit XSkat können Sie das Kartenspiel Skat nach den 
offiziellen Skat Spielregeln auf jedem Unix PC spielen, 
auf dem X 11 läuft. 

Funktionen:

* Einzel- und Mehrspielermodus.
* Spielen über LAN oder IRC.
* Spielelisten und Aufzeichnungen.
* Drei Arten von Punktzahlen.
* Englischer oder deutsche Text.
* An deutsch oder französisch angepasste Karten.
* Verschiedene Strategien des Computers.
* Vordefinierte Kartenzusamenstellung
* Variationen: Ramsch, Bock, Kontra & Re, …


%prep
%setup -q

%build
%configure --bindir=%_gamesbindir
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_gamesbindir},%{_mandir}/{man1,de/man1},%{_menudir}}
install xskat $RPM_BUILD_ROOT%{_gamesbindir}
install xskat.man $RPM_BUILD_ROOT%{_mandir}/man1/xskat.1
install xskat-de.man $RPM_BUILD_ROOT%{_mandir}/de/man1/xskat.1

mkdir -p %buildroot%_iconsdir
convert icon.xbm %buildroot%_iconsdir/%name.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xskat
Comment=The Skat game
Comment[de]=Das Skatspiel
Exec=%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-PCLinuxOS-MoreApplications-Games-Cards;Game;CardGame;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}
%_datadir/applications/pclinuxos*
%_iconsdir/%name.png
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%doc README* CHANGE*



%changelog
* Thu Jul 14 2016 adrianomorselli <adrianomorselli> 4.0-2uplos2012
- rebuild

* Mon Jan 09 2012 leiche <meisssw01 at gmail.com> 4.0-2leiche2012
- rebuild for 64bit
- add german description
- convert archive to tar.xz

* Sun May 06 2007 Nico Reuter <nico@sam-linux.org> 4.0-1pclos2007
- rebuild for PCLinuxOS from G�tz Waschk

